OpenWatcomProcessor (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.openwatcom.OpenWatcomProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.openwatcom
Class OpenWatcomProcessor

    java.lang.Object
      net.sf.antcontrib.cpptasks.openwatcom.OpenWatcomProcessor

    public final class OpenWatcomProcessor

extends java.lang.Object

A add-in class for OpenWatcom processors.

Method Summary
`static void` | `addWarningSwitch(java.util.Vector args, int level)` Adds warning command line options.
`static java.lang.String` | `getCommandFileSwitch(java.lang.String cmdFile)` Gets command line option to read from an option file.
`static void` | `getDefineSwitch(java.lang.StringBuffer buffer, java.lang.String define, java.lang.String value)` Creates a command line option to define a preprocessor macro.
`static java.lang.String` | `getIncludeDirSwitch(java.lang.String includeDir)` Create a command line option to add a directory to the include path.
`static java.lang.String[]` | `getLibraryPatterns(java.lang.String[] libnames, LibraryTypeEnum libType)` Get file selectors for specified libraries.
`static java.lang.String[]` | `getOutputFileSwitch(java.lang.String outPath)` Builds command line options to specify the output file names.
`static void` | `getUndefineSwitch(java.lang.StringBuffer buffer, java.lang.String define)` Builds a command line option to undefine a preprocessor macro.
`static boolean` | `isCaseSensitive()` Gets whether processor tratement of file names is case-sensitive.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addWarningSwitch

    public static void addWarningSwitch(java.util.Vector args,
                                        int level)

  Adds warning command line options.

  Parameters:
    `args` - Vector list of options
    `level` - int value of WarningLevelEnum

### getCommandFileSwitch

    public static java.lang.String getCommandFileSwitch(java.lang.String cmdFile)

  Gets command line option to read from an option file.

  Parameters:
    `cmdFile` - String file name for option file
  Returns:
    String Command line option

### getDefineSwitch

    public static void getDefineSwitch(java.lang.StringBuffer buffer,
                                       java.lang.String define,
                                       java.lang.String value)

  Creates a command line option to define a preprocessor macro.

  Parameters:
    `buffer` - StringBuffer destination buffer
    `define` - String parameter to define
    `value` - String value, may be null

### getIncludeDirSwitch

    public static java.lang.String getIncludeDirSwitch(java.lang.String includeDir)

  Create a command line option to add a directory to the include path.

  Parameters:
    `includeDir` - String directory
  Returns:
    String command line option

### getOutputFileSwitch

    public static java.lang.String[] getOutputFileSwitch(java.lang.String outPath)

  Builds command line options to specify the output file names.

  Parameters:
    `outPath` - String path to output file
  Returns:
    String[] command line options

### getLibraryPatterns

    public static java.lang.String[] getLibraryPatterns(java.lang.String[] libnames,
                                                        LibraryTypeEnum libType)

  Get file selectors for specified libraries.

  Parameters:
    `libnames` - library names
    `libType` - library type
  Returns:
    file selectors

### getUndefineSwitch

    public static void getUndefineSwitch(java.lang.StringBuffer buffer,
                                         java.lang.String define)

  Builds a command line option to undefine a preprocessor macro.

  Parameters:
    `buffer` - StringBuffer destination
    `define` - String macro to be undefined

### isCaseSensitive

    public static boolean isCaseSensitive()

  Gets whether processor tratement of file names is case-sensitive.

  Returns:
    boolean true if case sensitive

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.